Package org.lwjgl.opengles

# Enum PixelFormat.Attrib

java.lang.Object
java.lang.Enum<PixelFormat.Attrib>
org.lwjgl.opengles.PixelFormat.Attrib

All Implemented Interfaces:
  `Serializable`, `Comparable<PixelFormat.Attrib>`, `Constable`

Enclosing class:
  `PixelFormat`

public static enum PixelFormat.Attrib extends Enum<PixelFormat.Attrib>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALPHA_SIZE`
`BLUE_SIZE`
`COVERAGE_BUFFERS_NV`
`COVERAGE_SAMPLES_NV`
`DEPTH_ENCODING_NONLINEAR_NV`
`DEPTH_SIZE`
`GREEN_SIZE`
`LUMINANCE_SIZE`
`MAX_SWAP_INTERVAL`
`MIN_SWAP_INTERVAL`
`MULTISAMPLE_RESOLVE`
`RED_SIZE`
`SAMPLE_BUFFERS`
`SAMPLES`
`STENCIL_SIZE`
`SWAP_BEHAVIOR`
`TRANSPARENT_BLUE_VALUE`
`TRANSPARENT_GREEN_VALUE`
`TRANSPARENT_RED_VALUE`
`TRANSPARENT_TYPE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDefaultValue()`
Returns the default value of this attribute.
`int`
`getEGLAttrib()`
Returns the EGL token that corresponds to this attribute.
`boolean`
`isSurfaceAttrib()`
`static PixelFormat.Attrib`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PixelFormat.Attrib[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RED_SIZE

public static final PixelFormat.Attrib RED_SIZE

### GREEN_SIZE

public static final PixelFormat.Attrib GREEN_SIZE

### BLUE_SIZE

public static final PixelFormat.Attrib BLUE_SIZE

### ALPHA_SIZE

public static final PixelFormat.Attrib ALPHA_SIZE

### LUMINANCE_SIZE

public static final PixelFormat.Attrib LUMINANCE_SIZE

### DEPTH_SIZE

public static final PixelFormat.Attrib DEPTH_SIZE

### STENCIL_SIZE

public static final PixelFormat.Attrib STENCIL_SIZE

### MIN_SWAP_INTERVAL

public static final PixelFormat.Attrib MIN_SWAP_INTERVAL

### MAX_SWAP_INTERVAL

public static final PixelFormat.Attrib MAX_SWAP_INTERVAL

### SAMPLES

public static final PixelFormat.Attrib SAMPLES

### SAMPLE_BUFFERS

public static final PixelFormat.Attrib SAMPLE_BUFFERS

### TRANSPARENT_TYPE

public static final PixelFormat.Attrib TRANSPARENT_TYPE

### TRANSPARENT_RED_VALUE

public static final PixelFormat.Attrib TRANSPARENT_RED_VALUE

### TRANSPARENT_GREEN_VALUE

public static final PixelFormat.Attrib TRANSPARENT_GREEN_VALUE

### TRANSPARENT_BLUE_VALUE

public static final PixelFormat.Attrib TRANSPARENT_BLUE_VALUE

### MULTISAMPLE_RESOLVE

public static final PixelFormat.Attrib MULTISAMPLE_RESOLVE

### SWAP_BEHAVIOR

public static final PixelFormat.Attrib SWAP_BEHAVIOR

### COVERAGE_SAMPLES_NV

public static final PixelFormat.Attrib COVERAGE_SAMPLES_NV

### COVERAGE_BUFFERS_NV

public static final PixelFormat.Attrib COVERAGE_BUFFERS_NV

### DEPTH_ENCODING_NONLINEAR_NV

public static final PixelFormat.Attrib DEPTH_ENCODING_NONLINEAR_NV

## Method Details

### values

public static PixelFormat.Attrib[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PixelFormat.Attrib valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getEGLAttrib

public int getEGLAttrib()
Returns the EGL token that corresponds to this attribute.

Returns:
  the EGL attribute token

### getDefaultValue

public int getDefaultValue()
Returns the default value of this attribute. Attributes with default values will be ignored when choosing the EGLConfig.

Returns:
  the default value

### isSurfaceAttrib

public boolean isSurfaceAttrib()